# aesdec

AES decryption

## Example

     echo "This is an AES crypto test ... " > plain.txt && \
           gst-launch-1.0 filesrc location=plain.txt ! \
           aesenc key=1f9423681beb9a79215820f6bda73d0f iv=e9aa8e834d8d70b7e0d254ff670dd718 ! \
           aesdec key=1f9423681beb9a79215820f6bda73d0f iv=e9aa8e834d8d70b7e0d254ff670dd718 ! \
           filesink location=dec.txt && \
           cat dec.txt

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstBaseTransform
                        ╰──aesdec

## Factory details

Authors: – Rabindra Harlalka

Classification: – `Generic/Filter`

Rank – primary

Plugin – aes

Package – GStreamer Bad Plug-ins

## Pad Templates

### `sink`

    ANY

Presence – always

Direction – sink

Object type – GstPad

### `src`

    ANY

Presence – always

Direction – src

Object type – GstPad

## Properties

### cipher

    “cipher” GstAesCipher *

AES cipher mode (key length and mode) Currently, 128 and 256 bit keys are supported, in "cipher block chaining" (CBC) mode

Flags : Read / Write

Default value : aes-128-cbc (0)

Since : 1.20

### iv

    “iv” gchararray

AES encryption initialization vector (hexadecimal)

Flags : Read / Write

Since : 1.20

### key

    “key” gchararray

AES encryption key (hexadecimal)

Flags : Read / Write

Since : 1.20

### per-buffer-padding

    “per-buffer-padding” gboolean

If true, each buffer will be padded using PKCS7 padding If false, only the final buffer in the stream will be padded (by OpenSSL) using PKCS7

Flags : Read / Write

Default value : true

Since : 1.20

### serialize-iv

    “serialize-iv” gboolean

If true, read initialization vector from first 16 bytes of first buffer

Flags : Read / Write

Default value : false

Since : 1.20

The results of the search are